/*  XRoar - a Dragon/Tandy Coco emulator
 *  Copyright (C) 2003  Ciaran Anscomb
 *
 *  See LICENSE for redistribution conditions. */

#ifndef __FILER_H__
#define __FILER_H__

#include "types.h"

#define FILER_READ 0x01
#define FILER_WRITE 0x02

extern char *filer_error;

void filer_init(void);
int filer_open(char *filename, int mode, FILER_FD *fd);
int filer_read(FILER_FD fd, void *buffer, Uint32 size);
int filer_write(FILER_FD fd, void *buffer, Uint32 size);
void filer_close(FILER_FD fd);
int filer_load_file(char *filename, void *buf, int size);
int filer_write_byte(FILER_FD fd, Uint8 octet);
int filer_write_word16(FILER_FD fd, Uint16 word16);
int filer_write_word32(FILER_FD fd, Uint32 word32);
int filer_read_byte(FILER_FD fd, Uint8 *dest);
int filer_read_word16(FILER_FD fd, Uint16 *dest);
int filer_read_word32(FILER_FD fd, Uint32 *dest);
#ifdef GP32
void filer_readdir(char *path);
#endif

#endif  /* __FILER_H__ */
