/*  XRoar - a Dragon/Tandy Coco emulator
 *  Copyright (C) 2003  Ciaran Anscomb
 *
 *  See LICENSE for redistribution conditions. */

#ifndef __WD2797_H__
#define __WD2797_H__

#include "types.h"

#include "m6809.h"

void wd2797_init(void);
void wd2797_reset(void);
int wd2797_load_disk(char *filename, Uint32 drive);
void wd2797_command_write(Uint32 octet);
void wd2797_track_register_write(Uint32 octet);
void wd2797_sector_register_write(Uint32 octet);
void wd2797_data_register_write(Uint32 octet);
Uint32 wd2797_status_read(void);
Uint32 wd2797_track_register_read(void);
Uint32 wd2797_sector_register_read(void);
Uint32 wd2797_data_register_read(void);
void wd2797_generate_interrupt(void);
void wd2797_ff48_write(Uint32 octet);
Uint32 wd2797_ff48_read(void);

#endif  /* __WD2797_H__ */
